﻿using Syncfusion.XForms.PopupLayout;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using Xamarin.Forms;



namespace Popup_Demo
{
    public class ViewModel : INotifyPropertyChanged
    {
        private Command _buttonCommand;
        public Command ButtonCommand =>
            _buttonCommand ?? (_buttonCommand = new Command<SfPopupLayout>(ExecuteButtonCommand));

        private bool _displayPopup = false;

        public bool DisplayPopup
        {
            get
            {
                return _displayPopup;
            }
            set
            {
                this._displayPopup = value;
                RaisePropertyChanged("DisplayPopup");
            }
        }

        private void ExecuteButtonCommand(SfPopupLayout sfPopup)
        {
            if (sfPopup != null)
            {
                sfPopup.ShowAtTouchPoint();
            }
        }


        private Command<SfPopupLayout> _openPopup;

        
        public Command<SfPopupLayout> OpenPopup
        {
            get { return this._openPopup; }
            set { this._openPopup = value; }
        }

        public ViewModel()
        {

        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                this.PropertyChanged.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
